package com.zcloud.domain.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.domain.dto.DomainGroupAddCmd;
import com.zcloud.domain.dto.DomainGroupPageQry;
import com.zcloud.domain.dto.DomainGroupQry;
import com.zcloud.domain.dto.DomainGroupUpdateCmd;
import com.zcloud.domain.dto.clientobject.DomainGroupCO;
import com.zcloud.domain.dto.clientobject.DomainGroupInfoCO;

import java.util.Collection;
import java.util.List;

/**
 * web-client
 *
 * @Author zhaokai
 * @Date 2026-01-27 11:29:28
 */
public interface DomainGroupServiceI {
    PageResponse<DomainGroupCO> listPage(DomainGroupPageQry qry);

    SingleResponse<DomainGroupCO> add(DomainGroupAddCmd cmd);

    void edit(DomainGroupUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    DomainGroupInfoCO getInfoById(Long id);

    List<DomainGroupCO> listAll(DomainGroupQry qry);
}

